=== debian/changelog ===
pakcs (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + Adapt versioned B-Ds and Ds for curry-* packages.
  * debian/{control,compat}:
    + Bump to DH version level 10 (level 11 not yet supported by CDBS).
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 09 Feb 2018 12:19:23 +0100

pakcs (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump versioned B-Ds and Ds (curry-*) to typeclasses supporting versions.
    + Enforce swi-prolog(-nox) (>= 7.4) as B-D and D. Important: PAKCS needs
      the same SWI Prolog version at runtime as it had at build time.
    + Set Priority: to optional.
    + Clean-up white-space at EOL.
  * debian/pakcs.{install,links}:
    + Adapt to this upstream release.
  * debian/rules:
    + Don't clean-up /usr/lib/pakcs/currytools/peval/.gitignore at post-build.
      Does not exist since PAKCS 1.15.x anymore.
    + Set permissions a-x on pakcsinitrc.sh (to make lintian happy).
    + Drop many LICENSE files shipped via the curry-tools tarball.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Rebase/update 2001_run-cleancurry-from-inside-debian-subfolder.patch.
    + Drop 0001-Regression-test-for-CHR-library-removed-since-it-is-.patch.
      Applied upstream.
  * debian/man/runcurry.1: White-space cleanup at EOL.
  * debian/bin/cleancurry:
    + Drop file, use upstream's always-up-to-date version instead of shipping
      our own copy.
  * lintian: Drop various not-needed lintian overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 12 Dec 2017 13:29:27 +0100
