## pakcs 2.1.0

=== Makefile ===
--- 
+++ 
@@ -47,9 +47,9 @@
 # The major version number:
 export MAJORVERSION=2
 # The minor version number:
-export MINORVERSION=0
+export MINORVERSION=1
 # The revision version number:
-REVISIONVERSION=1
+export REVISIONVERSION=0
 # The build version number (if >0, then it is a pre-release)
 BUILDVERSION=0
 # Complete version:
@@ -238,7 +238,6 @@
 .PHONY: tools
 tools:
 	@if [ -r bin/pakcs ] ; then cd currytools && $(MAKE) ; fi
-	@if [ -r bin/pakcs ] ; then cd tools      && $(MAKE) ; fi
 
 # compile analysis tool only:
 .PHONY: CASS
@@ -350,10 +349,11 @@
 cleantools: $(CLEANCURRY)
 	cd src && $(MAKE) clean
 	cd currytools && $(MAKE) uninstall
-	cd tools && $(MAKE) clean
 	cd bin && rm -f pakcs
 
 # Clean everything (including the front end)
 .PHONY: cleanall
 cleanall: clean
 	rm -rf $(LIBDIR)
+	if [ -d $(FRONTENDDIR) ]; then cd $(FRONTENDDIR) && $(MAKE) cleanall; fi
+	if [ -d $(FRONTENDDIR) ]; \
