=== debian/changelog ===
pakcs (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
    + Sort listed files.
  * debian/control:
    + Bump Curry B-Ds and Ds to recent versions.
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/*:
    + Install documentation and example files into
      /usr/share/doc/pakcs and symlink them where needed.
  * debian/pakcs.lintian-overrides:
    + Drop file. Not required anymore.
  * debian/upstream/metadata:
    + Fix Repository-^Cowse: field.
  * debian/{rules,control}:
    + Use rdfind and symlinks to get rid of some duplicate documentation files
      (and symlink them instead).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Feb 2019 15:25:32 +0100

pakcs (2.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 2001_run-cleancurry-from-inside-debian-subfolder.patch.
  * debian/control:
    + Bump Standards-Version. to 4.2.1. No changes needed.
    + B-D and D on latest curry-frontend, curry-libs and curry-tools.
    + Drop from D (pakcs): libjs-prototype. Not required anymore by pakcs.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 23 Nov 2018 16:15:07 +0100

pakcs (2.0.1-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/watch:
    + Update for tarball export feature in latest GitLab versions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Aug 2018 15:35:24 +0200
