=== debian/rules ===
--- 
+++ 
@@ -69,11 +69,61 @@
 	# remove superfluous LICENSE files
 	find debian/pakcs/usr/lib/pakcs/currytools/ -type f -name LICENSE -delete
 
-clean::
-	-rm -R bin/
-	-rm -R currytools/
-	-rm -R debian/build/
-	-rm  scripts/makesavedstate
+	cd $(CURDIR)/debian/pakcs/usr/share/doc/pakcs/docs && tar --clamp-mtime --mtime="$(SOURCE_DATE)" --mode=go=rX,u+rw,a-s --sort=name -cv -v -z -f $(CURDIR)/debian/pakcs/usr/share/doc/pakcs/curry-docs.tar.gz * && cd - 1>/dev/null
+	rm -Rv debian/pakcs/usr/share/doc/pakcs/docs/
 
-get-orig-source:
-	uscan --noconf --force-download --rename --download-current-version --destdir=..
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/docs/README.txt
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/src/CPM/Repository/README.txt
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/abstract-curry/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/boxes/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass-analysis/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/Demand.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/Deterministic.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/Functional.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/Groundness.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/HiOrderConstr.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/HiOrderFunc.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/HiOrderType.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/Indeterministic.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/NDEffect.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/NonDetAllDeps.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/NonDetDeps.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/Overlapping.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/PatComplete.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/Productive.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/README.txt
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/RequiredValue.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/RequiredValues.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/Residuation.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/RightLinear.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/RootCyclic.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/RootReplaced.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/SensibleType.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/SiblingCons.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/SolComplete.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/Terminating.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/Total.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/TypesInValues.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cass/docs/UnsafeModule.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/cdbi/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/csv/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/currypath/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/det-parse/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/execpath/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/finite-map/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/flatcurry/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/frontend-exec/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/json/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/opt-parse/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/profiling/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/propertyfile/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/queue/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/random/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/redblacktree/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/scc/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/socket/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/wl-pprint/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/xml/README.md
