## pakcs 2.1.1

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 # The minor version number:
 export MINORVERSION=1
 # The revision version number:
-export REVISIONVERSION=0
+export REVISIONVERSION=1
 # The build version number (if >0, then it is a pre-release)
 BUILDVERSION=0
 # Complete version:
