=== debian/changelog ===
pakcs (2.1.1-2) unstable; urgency=medium

  * debian/pakcs.links:
    + Fix broken symlink from /usr/lib/pakcs/docs to the pkg's doc folder.
      (Closes: #924201).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 17 Mar 2019 21:45:24 +0100

pakcs (2.1.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix loading for external Prolog files. (Closes: #922024).
  * debian/pakcs.links:
    + Typo fix in link target path.
  * debian/rules:
    + Patch $(CURRYTOOLSDIR)/cpm/Makefile and fix installation path of the
      cpm template files.
    + Unset PAKCSBUILDDIR variables wherever used. Hide the build path of the
      pakcs DEB package.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Feb 2019 15:35:00 +0100
