=== debian/control ===
--- 
+++ 
@@ -8,24 +8,25 @@
 Build-Depends: cdbs,
  debhelper (>= 10~),
  quilt,
- curry-frontend (>= 1.0.1~),
- curry-libs-source (>= 2.0.1~),
- curry-tools-source (>= 2.0.1~),
+ curry-frontend (>= 1.0.3~),
+ curry-libs-source (>= 2.1.0~),
+ curry-tools-source (>= 2.1.0~),
  swi-prolog-nox (>= 7.4),
  sqlite3,
  lockfile-progs,
-Standards-Version: 4.1.3
+ rdfind,
+ symlinks,
+Standards-Version: 4.3.0
 Homepage: https://www-ps.informatik.uni-kiel.de/~pakcs/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-curry/pakcs.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-curry/pakcs.git
+Vcs-Browser: https://salsa.debian.org/pkg-curry-team/pakcs
+Vcs-Git: https://salsa.debian.org/pkg-curry-team/pakcs.git
 
 Package: pakcs
 Architecture: any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- curry-frontend (>= 1.0.1~),
- libjs-prototype (>= 1.6),
+ curry-frontend (>= 1.0.3~),
  swi-prolog-nox (>= 7.4),
  lockfile-progs,
 Recommends:
