=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,8 @@
 	    cd debian/build/curry-tools && tar xf /usr/src/curry-tools-source.tar.xz && cd - 1>/dev/null; \
 	fi
 
+	sed -i "$(CURRYTOOLSDIR)/cpm/Makefile" -e "s@packagePath\ =\ .*\"@packagePath\ =\ \\\\\"/usr/lib/pakcs/currytools/cpm\\\\\"\"@"
+
 	# deploy Debianic pakcsinitrc into source tree...
 	cp debian/pakcsinitrc .
 
@@ -63,6 +65,16 @@
 	chmod a+x debian/pakcs/usr/lib/pakcs/scripts/*.sh
 	chmod a+x debian/pakcs/usr/lib/pakcs/scripts/configure-pakcs
 	chmod a+x debian/pakcs/usr/lib/pakcs/scripts/makesavedstate
+
+	# unset PAKCSBUILDDIR, only support PAKCSINSTALLDIR
+	for script in  debian/pakcs/usr/lib/pakcs/bin/pakcs debian/pakcs/usr/lib/pakcs/bin/pakcs-fcypp debian/pakcs/usr/lib/pakcs/bin/pakcs-makecgi; do \
+		sed -i "$$script" -e "s|^PAKCSBUILDDIR=.*$$|PAKCSBUILDDIR=\"<unset>\"|"; \
+	done
+
+	# similarly for buildDir Prolog variable
+	for script in debian/pakcs/usr/lib/pakcs/src/pakcsversion.pl; do \
+		sed -i "$$script" -e "s|buildDir('.*')|buildDir('<unset>')|g"; \
+	done
 
 	chmod a-x debian/pakcs/usr/lib/pakcs/scripts/pakcsinitrc.sh
 
@@ -121,9 +133,3 @@
 	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/profiling/README.md
 	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/propertyfile/README.md
 	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/queue/README.md
-	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/random/README.md
-	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/redblacktree/README.md
-	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/scc/README.md
-	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/socket/README.md
-	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/wl-pprint/README.md
-	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/xml/README.md
