## pakcs 2.2.0

=== Makefile ===
--- 
+++ 
@@ -47,9 +47,9 @@
 # The major version number:
 export MAJORVERSION=2
 # The minor version number:
-export MINORVERSION=1
+export MINORVERSION=2
 # The revision version number:
-export REVISIONVERSION=1
+export REVISIONVERSION=0
 # The build version number (if >0, then it is a pre-release)
 BUILDVERSION=0
 # Complete version:
@@ -170,7 +170,8 @@
 	$(MAKE) $(PAKCSVERSION)
 	cd src && $(MAKE)
 	# compile all libraries:
-	@cd lib && $(MAKE) acy
+	@cd lib && $(MAKE) AllLibraries.curry
+	scripts/compile-all-libs.sh
 	# compile optimization tools:
 	@cd currytools/optimize && $(MAKE)
 	# prepare for separate compilation: compile all libraries to Prolog
@@ -355,5 +356,3 @@
 .PHONY: cleanall
 cleanall: clean
 	rm -rf $(LIBDIR)
-	if [ -d $(FRONTENDDIR) ]; then cd $(FRONTENDDIR) && $(MAKE) cleanall; fi
-	if [ -d $(FRONTENDDIR) ]; \
