=== docs/src/Makefile ===
--- 
+++ 
@@ -17,8 +17,6 @@
 	pdflatex manual
 
 ../Manual.pdf: manual.pdf
-	thumbpdf manual
-	pdflatex manual
 	rm -f $@
 	cp $< $@
