=== debian/changelog ===
pakcs (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump versioned B-Ds and Ds for PAKCS 2.2.0.
    + Bump Standards-Version: to 4.4.1. No changes needed.
  * debian/move2docs_and_symlink.sh:
    + Fail on errors.
  * debian/rules:
    + Update move2docs command list (for tools/cpm/Implementation.md and
      tools/optimize/README.txt -> README.md).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Jan 2020 07:35:43 +0100
