=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
 Build-Depends: cdbs,
  debhelper (>= 10~),
  quilt,
- curry-frontend (>= 1.0.3~),
- curry-libs-source (>= 2.1.0~),
- curry-tools-source (>= 2.1.0~),
+ curry-frontend (>= 1.0.4-3~),
+ curry-libs-source (>= 2.2.0~),
+ curry-tools-source (>= 2.2.0~),
  swi-prolog-nox (>= 7.4),
  sqlite3,
  lockfile-progs,
  rdfind,
  symlinks,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://www-ps.informatik.uni-kiel.de/~pakcs/
 Vcs-Browser: https://salsa.debian.org/pkg-curry-team/pakcs
 Vcs-Git: https://salsa.debian.org/pkg-curry-team/pakcs.git
@@ -26,7 +26,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- curry-frontend (>= 1.0.3~),
+ curry-frontend (>= 1.0.4-3~),
  swi-prolog-nox (>= 7.4),
  lockfile-progs,
 Recommends:
