=== debian/rules ===
--- 
+++ 
@@ -85,6 +85,7 @@
 	rm -Rv debian/pakcs/usr/share/doc/pakcs/docs/
 
 	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/README.md
+	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/Implementation.md
 	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/README.md
 	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/docs/README.txt
 	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/src/CPM/Repository/README.txt
@@ -132,4 +133,3 @@
 	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/opt-parse/README.md
 	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/profiling/README.md
 	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/propertyfile/README.md
-	debian/move2docs_and_symlink.sh usr/lib/pakcs/currytools/cpm/vendor/queue/README.md
