=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg[0-9]*//,filenamemangle=s/.*\/pakcs-v(\d\S+)\.tar\.gz/pakcs-$1\.tar\.gz/g \
  https://git.ps.informatik.uni-kiel.de/curry/pakcs/tags?sort=updated_desc .*/archive/v?(\d\S+)\/.*.tar\.gz
